Version 2.3.0 on a J3! site

As Forms 2.3.0 is not compatible with J3!, can you confirm what will happen if the J3! site is accidentally updated to forms 2.3.0? Will I be able to roll back to 2.2.2 safely?

Replies are visible only to logged in members with an active subscription.